Bug 109282 - Cannot mount ATAPI ide-cdrom, lost interrupt, irq timeout
Cannot mount ATAPI ide-cdrom, lost interrupt, irq timeout
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 10:13 EST by James Dryfoos
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg (7.41 KB, text/plain)
2003-11-06 10:15 EST, James Dryfoos
no flags Details

  None (edit)
Description James Dryfoos 2003-11-06 10:13:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1)
Gecko/20020920 Netscape/7.0

Description of problem:
On a Dell Latitude CPi D266XT,insertion of a CD starts a slew of
errors and results in CD being unmounted. Manual attempts to then
mount a CD results in error 

mount: wrong fs type, bad option, bad superblock on /dev/cdrom,
       or too many mounted file systems

Tried multiple CDs. Was able to install RedHat 9 using this drive and
can still reboot the system on the first CD -- i.e. the drive still
works fine.

Also tried rebooting with kernal 2.4.20-8 which is the original.
This is a new fresh RedHat 9 install. I performed install and
immediately followed with all updates -- which brought in the new kernel.

Have tried `depmod -ae` to no avail.

I will attach output from dmesg.

Drive is: hdc: SAMSUNG CD-ROM SCR-2438, ATAPI CD/DVD-ROM drive

And first set of errors is:

hdc: attached ide-cdrom driver.
hdc: ATAPI 24X CD-ROM drive, 128kB Cache, DMA
Uniform CD-ROM driver Revision: 3.12
hdc: DMA interrupt recovery
hdc: lost interrupt
hdc: status timeout: status=0xd0 { Busy }
hdc: status timeout: error=0x00
hdc: DMA disabled
hdc: drive not ready for command


Version-Release number of selected component (if applicable):
vmlinux-2.4.20-20.9

How reproducible:
Always

Steps to Reproduce:
1.Insert CD into drive
2.
3.
    

Actual Results:  Nov  6 10:15:49 localhost kernel: udf: registering
filesystem
Nov  6 10:16:04 localhost kernel: hdc: DMA interrupt recovery
Nov  6 10:16:04 localhost kernel: hdc: lost interrupt
Nov  6 10:16:04 localhost kernel: hdc: status timeout: status=0xd0 {
Busy }
Nov  6 10:16:04 localhost kernel: hdc: status timeout: error=0x00
Nov  6 10:16:04 localhost kernel: hdc: DMA disabled
Nov  6 10:16:04 localhost kernel: hdc: drive not ready for command
Nov  6 10:16:04 localhost kernel: hdc: ATAPI reset complete
Nov  6 10:16:14 localhost kernel: hdc: irq timeout: status=0xd0 { Busy }
Nov  6 10:16:14 localhost kernel: hdc: irq timeout: error=0x00


Additional info:
Comment 1 James Dryfoos 2003-11-06 10:15:18 EST
Created attachment 95761 [details]
Output of dmesg
Comment 2 Elliot Lee 2003-12-17 14:13:30 EST
Probably the kernel.
Comment 3 James Dryfoos 2003-12-29 13:14:20 EST
FYI, upgraded to kernel 2.4.20-27.9.
Still have problem. Get some additional info in case this is helpfull:

udf: registering filesystem
UDF-fs DEBUG lowlevel.c:57:udf_get_last_session: XA disk: no, 
vol_desc_start=0
UDF-fs DEBUG super.c:1421:udf_read_super: Multi-session=0
UDF-fs DEBUG super.c:410:udf_vrs: Starting at sector 16 (2048 byte 
sectors)
hdc: DMA interrupt recovery
hdc: lost interrupt
hdc: status timeout: status=0xd0 { Busy }
hdc: status timeout: error=0x00
hdc: DMA disabled
hdc: drive not ready for command
hdc: ATAPI reset complete
hdc: irq timeout: status=0xd0 { Busy }
hdc: irq timeout: error=0x00
Comment 4 Bugzilla owner 2004-09-30 11:41:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.